package org.ellectra.gui.language;

import javax.faces.event.ValueChangeEvent;
import org.ellectra.gui.managebeans.pathSettings;
import org.ellectra.language.*;

public class multilinguaPin {

	//String szPath = "/applications/AppServers/jboss-4.0.3SP1/server/default/deploy/";
        String szPath = "/Users/gpa/xml/";
//        String szPath = "C:\\xml\\";	
        String language = "EN";
	String username;
	String password;
	languagexml lXML;
	
	//PIN Preliminary Questions
	String szPIN = "PriorInformationNotice";
	String l_contract;
	String l_contractTypeSelected;
	String l_a1;
	String l_a2;
	String l_a3;
	String l_a4;
	String next_prel;
	//PIN SECTION I: Contracting authority
	//PIN SECTION I1
	String l_a5;
	String l_a6;
	String l_a7;
	String l_a8;
	String l_a9;
	String l_a10;
	String l_a11;
	String l_a12;
	String l_a13;
	String l_a14;
	String l_internetAddr1;
	String l_internetAddr2;
	String l_a15;
	String l_a16;
	String l_furtherInfo;
	String l_furtherInfoSelected;
	String l_a17;
	String l_a18;
	//PIN SECTION I2
	String l_catype;	//7 (from a19 to a25)
	String l_a19;
	String l_a20;
	String l_a21;
	String l_a22;
	String l_a23;
	String l_a24;
	String l_a25;
	String l_a26;
	String l_activities;//11 (from a27 to a37)
	String l_a27;
	String l_a28;
	String l_a29;
	String l_a30;
	String l_a31;
	String l_a32;
	String l_a33;
	String l_a34;
	String l_a35;
	String l_a36;
	String l_a37;
	String l_a38;
	String l_titleA39;
	String l_a39;	//option (yes,no)
	String l_a39_1;
	String l_a39_2;
	String next_sec_i;
	//PIN SECTION II
	String l_a41;
	String l_a42;
	String l_a44;	//option (yes,no)
	String l_a44_1;
	String l_a44_2;
	String l_a46_a49;//option (a46,a49)
	String l_a46;
	String l_a48;
	String l_a49;
	String l_a51;
	String l_a52;
	String l_titleA53;
	String l_a53;	//option (yes,no)
	String l_a53_1;
	String l_a53_2;
	String l_a54;
	String l_titleA59;
	String l_a59;
	String l_a60_a62_a64;//option (a60,a62,a64)
	String l_a60;
	String l_a62;
	String l_a63;
	String l_a64;
	String l_a65;
	String l_a66;
	String l_a67;	//option (yes,no)
	String l_a67_1;
	String l_a67_2;
	String next_sec_ii;
	String l_a77;
	//PIN SECTION II
	String l_a94;	//option (yes,no)
	String l_a94_1;
	String l_a94_2;
	String l_a95;
	String l_a96;
	String next_sec_iii;
	//PIN SECTION VI
	String l_a97;	//option (yes,no)
	String l_a97_1;
	String l_a97_2;
	String l_a98_1;
	String l_a98_2;
	String l_titleA100;
	String l_a100;
	String l_a101;
	String l_a102;
	String l_a103;
	String next_sec_vi;
	//ANNEX A
	String l_a105;
	String l_a106;
	String l_a107;
	String l_a108;
	String l_a109;
	String l_a110;
	String l_a111;
	String l_a112;
	String l_a113;
	String l_a114;
	String l_a115;
	
	String l_a116;
	String l_a117;
	String l_a118;
	String l_a119;
	String l_a120;
	String l_a121;
	String l_a122;
	String l_a123;
	String l_a124;
	String l_a125;
	String l_a126;
	
	String l_a127;
	String l_a128;
	String l_a129;
	String l_a130;
	String l_a131;
	String l_a132;
	String l_a133;
	String l_a134;
	String l_a135;
	String l_a136;
	String l_a137;
	
	String l_a138;
	String l_a139;
	String l_a140;
	String l_a141;
	String l_a142;
	String l_a143;
	String l_a144;
	String l_a145;
	String l_a146;
	String l_a147;
	String l_a148;
	String next_sec_annex;
	
	public void Reload() {
                    pathSettings dset=new pathSettings();
        szPath=dset.GetLanguageDirectory();

		String szTemp;
		username=lXML.ReadLanFile("L_LOGIN1", language, "Login", szPath);
		password=lXML.ReadLanFile("L_LOGIN2", language, "Login", szPath);

		//PIN Preliminary Questions
		l_contract= lXML.ReadLanFile("L_CONTRACT", language, szPIN, szPath);
		l_contractTypeSelected= lXML.ReadLanFile("L_CONTRACT_TYPE_LIST", language, szPIN, szPath);
		l_a1 = l_contractTypeSelected.substring(0, l_contractTypeSelected.indexOf("|"));
		szTemp = l_contractTypeSelected.substring(l_contractTypeSelected.indexOf("|") + 1, l_contractTypeSelected.length());
		l_a2 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a3 = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a4= lXML.ReadLanFile("L_A4", language, szPIN, szPath);
		next_prel= lXML.ReadLanFile("NEXT_PREL", language, szPIN , szPath);
		
		//PIN SECTION I1
		l_a5= lXML.ReadLanFile("L_A5", language, szPIN, szPath);
		l_a6= lXML.ReadLanFile("L_A6", language, szPIN, szPath);
		l_a7= lXML.ReadLanFile("L_A7", language, szPIN, szPath);
		l_a8= lXML.ReadLanFile("L_A8", language, szPIN, szPath);
		l_a9= lXML.ReadLanFile("L_A9", language, szPIN, szPath);
		l_a10= lXML.ReadLanFile("L_A10", language, szPIN, szPath);
		l_a11= lXML.ReadLanFile("L_A11", language, szPIN, szPath);
		l_a12= lXML.ReadLanFile("L_A12", language, szPIN, szPath);
		l_a13= lXML.ReadLanFile("L_A13", language, szPIN, szPath);
		l_a14= lXML.ReadLanFile("L_A14", language, szPIN, szPath);
		l_internetAddr1= lXML.ReadLanFile("L_INTERNETADDR1", language, szPIN, szPath);
		l_internetAddr2= lXML.ReadLanFile("L_INTERNETADDR2", language, szPIN, szPath);
		l_a15= lXML.ReadLanFile("L_A15", language, szPIN, szPath);
		l_a16= lXML.ReadLanFile("L_A16", language, szPIN, szPath);
		l_furtherInfo= lXML.ReadLanFile("L_FURTHER_INFO", language, szPIN, szPath);
		l_furtherInfoSelected= lXML.ReadLanFile("L_FURTHER_INFO_LIST", language, szPIN, szPath);
		l_a17 = l_furtherInfoSelected.substring(0, l_furtherInfoSelected.indexOf("|"));
		szTemp = l_furtherInfoSelected.substring(l_furtherInfoSelected.indexOf("|") + 1, l_furtherInfoSelected.length());
		l_a18 = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		
		//PIN SECTION I2
		l_catype= lXML.ReadLanFile("L_CATYPE_LIST", language, szPIN, szPath);
		l_a19 = l_catype.substring(0, l_catype.indexOf("|"));
		szTemp = l_catype.substring(l_catype.indexOf("|") + 1, l_catype.length());
		l_a20 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a21 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a22 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a23 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a24 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a25= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a26= lXML.ReadLanFile("L_A26", language, szPIN, szPath);
		
		l_activities= lXML.ReadLanFile("L_ACTIVITIES_LIST", language, szPIN, szPath);
		l_a27 = l_activities.substring(0, l_activities.indexOf("|"));
		szTemp = l_activities.substring(l_activities.indexOf("|") + 1, l_activities.length());
		l_a28 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a29 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a30 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a31 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a32 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a33 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a34 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a35 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a36 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a37= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a38= lXML.ReadLanFile("L_A38", language, szPIN, szPath);
		
		l_titleA39= lXML.ReadLanFile("L_TITLE_A39", language, szPIN, szPath);
		l_a39= lXML.ReadLanFile("L_A39_LIST", language, szPIN, szPath);
		l_a39_1 = l_a39.substring(0, l_a39.indexOf("|"));
		szTemp = l_a39.substring(l_a39.indexOf("|") + 1, l_a39.length());
		l_a39_2= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		next_sec_i= lXML.ReadLanFile("NEXT_SEC_I", language, szPIN, szPath);
		
		//PIN SECTION II
		l_a41= lXML.ReadLanFile("L_A41", language, szPIN, szPath);
		l_a42= lXML.ReadLanFile("L_A42", language, szPIN, szPath);
		l_a44= lXML.ReadLanFile("L_A44_LIST", language, szPIN, szPath);
		l_a44_1 = l_a44.substring(0, l_a44.indexOf("|"));
		szTemp = l_a44.substring(l_a44.indexOf("|") + 1, l_a44.length());
		l_a44_2= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		
		l_a46_a49= lXML.ReadLanFile("L_A46_A49", language, szPIN, szPath);
		l_a46 = l_a46_a49.substring(0, l_a46_a49.indexOf("|"));
		szTemp = l_a46_a49.substring(l_a46_a49.indexOf("|") + 1, l_a46_a49.length());
		l_a49= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a48= lXML.ReadLanFile("L_A48", language, szPIN, szPath);
		l_a51= lXML.ReadLanFile("L_A51", language, szPIN, szPath);
		l_a52= lXML.ReadLanFile("L_A52", language, szPIN, szPath);
		l_titleA53= lXML.ReadLanFile("L_TITLE_A53", language, szPIN, szPath);
		l_a53= lXML.ReadLanFile("L_A53_LIST", language, szPIN, szPath);
		l_a53_1 = l_a53.substring(0, l_a53.indexOf("|"));
		szTemp = l_a53.substring(l_a53.indexOf("|") + 1, l_a53.length());
		l_a53_2= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a54= lXML.ReadLanFile("L_A54", language, szPIN, szPath);
		l_titleA59= lXML.ReadLanFile("L_TITLE_A59", language, szPIN, szPath);
		l_a59= lXML.ReadLanFile("L_A59", language, szPIN, szPath);
		
		l_a60_a62_a64= lXML.ReadLanFile("L_A60_A62_A64", language, szPIN, szPath);
		l_a60 = l_a60_a62_a64.substring(0, l_a60_a62_a64.indexOf("|"));
		szTemp = l_a60_a62_a64.substring(l_a60_a62_a64.indexOf("|") + 1, l_a60_a62_a64.length());
		l_a62 = szTemp.substring(0, szTemp.indexOf("|"));
		szTemp = szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a64= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a63= lXML.ReadLanFile("L_A63", language, szPIN, szPath);
		l_a65= lXML.ReadLanFile("L_A65", language, szPIN, szPath);
		l_a66= lXML.ReadLanFile("L_A66", language, szPIN, szPath);
		l_a67= lXML.ReadLanFile("L_A67_LIST", language, szPIN, szPath);
		l_a67_1 = l_a67.substring(0, l_a67.indexOf("|"));
		szTemp = l_a67.substring(l_a67.indexOf("|") + 1, l_a67.length());
		l_a67_2= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		next_sec_ii= lXML.ReadLanFile("NEXT_SEC_II", language, szPIN, szPath);
		l_a77= lXML.ReadLanFile("L_A77", language, szPIN, szPath);
		
		//PIN SECTION III
		l_a94= lXML.ReadLanFile("L_A94_LIST", language, szPIN, szPath);
		l_a94_1 = l_a94.substring(0, l_a94.indexOf("|"));
		szTemp = l_a94.substring(l_a94.indexOf("|") + 1, l_a94.length());
		l_a94_2= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a95= lXML.ReadLanFile("L_A95", language, szPIN, szPath);
		l_a96= lXML.ReadLanFile("L_A96", language, szPIN, szPath);
		next_sec_iii= lXML.ReadLanFile("NEXT_SEC_III", language, szPIN, szPath);
		
		//PIN SECTION VI
		l_a97= lXML.ReadLanFile("L_A97_LIST", language, szPIN, szPath);
		l_a97_1 = l_a97.substring(0, l_a97.indexOf("|"));
		szTemp = l_a97.substring(l_a97.indexOf("|") + 1, l_a97.length());
		l_a97_2= szTemp.substring(szTemp.indexOf("|") + 1, szTemp.length());
		l_a98_1= lXML.ReadLanFile("L_A98_1", language, szPIN, szPath);
		l_a98_2= lXML.ReadLanFile("L_A98_2", language, szPIN, szPath);
		l_titleA100= lXML.ReadLanFile("L_TITLE_A100", language, szPIN, szPath);
		l_a100= lXML.ReadLanFile("L_A100", language, szPIN, szPath);
		l_a101= lXML.ReadLanFile("L_A101", language, szPIN, szPath);
		l_a102= lXML.ReadLanFile("L_A102", language, szPIN, szPath);
		l_a103= lXML.ReadLanFile("L_A103", language, szPIN, szPath);
		next_sec_vi= lXML.ReadLanFile("NEXT_SEC_VI", language, szPIN, szPath);
		
		//ANNEX A
		l_a105= lXML.ReadLanFile("L_A105", language, szPIN, szPath);
		l_a106= lXML.ReadLanFile("L_A106", language, szPIN, szPath);
		l_a107= lXML.ReadLanFile("L_A107", language, szPIN, szPath);
		l_a108= lXML.ReadLanFile("L_A108", language, szPIN, szPath);
		l_a109= lXML.ReadLanFile("L_A109", language, szPIN, szPath);
		l_a110= lXML.ReadLanFile("L_A110", language, szPIN, szPath);
		l_a111= lXML.ReadLanFile("L_A111", language, szPIN, szPath);
		l_a112= lXML.ReadLanFile("L_A112", language, szPIN, szPath);
		l_a113= lXML.ReadLanFile("L_A113", language, szPIN, szPath);
		l_a114= lXML.ReadLanFile("L_A114", language, szPIN, szPath);
		l_a115= lXML.ReadLanFile("L_A115", language, szPIN, szPath);
		l_a116= lXML.ReadLanFile("L_A116", language, szPIN, szPath);
		l_a117= lXML.ReadLanFile("L_A117", language, szPIN, szPath);
		l_a118= lXML.ReadLanFile("L_A118", language, szPIN, szPath);
		l_a119= lXML.ReadLanFile("L_A119", language, szPIN, szPath);
		l_a120= lXML.ReadLanFile("L_A120", language, szPIN, szPath);
		l_a121= lXML.ReadLanFile("L_A121", language, szPIN, szPath);
		l_a122= lXML.ReadLanFile("L_A122", language, szPIN, szPath);
		l_a123= lXML.ReadLanFile("L_A123", language, szPIN, szPath);
		l_a124= lXML.ReadLanFile("L_A124", language, szPIN, szPath);
		l_a125= lXML.ReadLanFile("L_A125", language, szPIN, szPath);
		l_a126= lXML.ReadLanFile("L_A126", language, szPIN, szPath);
		l_a127= lXML.ReadLanFile("L_A127", language, szPIN, szPath);
		l_a128= lXML.ReadLanFile("L_A128", language, szPIN, szPath);
		l_a129= lXML.ReadLanFile("L_A129", language, szPIN, szPath);
		l_a130= lXML.ReadLanFile("L_A130", language, szPIN, szPath);
		l_a131= lXML.ReadLanFile("L_A131", language, szPIN, szPath);
		l_a132= lXML.ReadLanFile("L_A132", language, szPIN, szPath);
		l_a133= lXML.ReadLanFile("L_A133", language, szPIN, szPath);
		l_a134= lXML.ReadLanFile("L_A134", language, szPIN, szPath);
		l_a135= lXML.ReadLanFile("L_A135", language, szPIN, szPath);
		l_a136= lXML.ReadLanFile("L_A136", language, szPIN, szPath);
		l_a137= lXML.ReadLanFile("L_A137", language, szPIN, szPath);
		l_a138= lXML.ReadLanFile("L_A138", language, szPIN, szPath);
		l_a139= lXML.ReadLanFile("L_A139", language, szPIN, szPath);
		l_a140= lXML.ReadLanFile("L_A140", language, szPIN, szPath);
		l_a141= lXML.ReadLanFile("L_A141", language, szPIN, szPath);
		l_a142= lXML.ReadLanFile("L_A142", language, szPIN, szPath);
		l_a143= lXML.ReadLanFile("L_A143", language, szPIN, szPath);
		l_a144= lXML.ReadLanFile("L_A144", language, szPIN, szPath);
		l_a145= lXML.ReadLanFile("L_A145", language, szPIN, szPath);
		l_a146= lXML.ReadLanFile("L_A146", language, szPIN, szPath);
		l_a147= lXML.ReadLanFile("L_A147", language, szPIN, szPath);
		l_a148= lXML.ReadLanFile("L_A148", language, szPIN, szPath);
		next_sec_annex= lXML.ReadLanFile("NEXT_SEC_ANNEX", language, szPIN, szPath);
	}

	public multilinguaPin() {
		super();
		lXML = new languagexml();
		Reload();

	}

	public void changevv(ValueChangeEvent vce) {
		language = (String) vce.getNewValue();
		Reload();
	}
	
	public String getSzPath() {
		return szPath;
	}

	public void setSzPath(String szPath) {
		this.szPath = szPath;
	}

	public languagexml getLXML() {
		return lXML;
	}

	public void setLXML(languagexml lxml) {
		lXML = lxml;
	}

	public String getSzPIN() {
		return szPIN;
	}

	public void setSzPIN(String szPIN) {
		this.szPIN = szPIN;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}
	
	//ANNEX A
	public String getL_a105() {
		return l_a105;
	}

	public void setL_a105(String l_a105) {
		this.l_a105 = l_a105;
	}
	
	public String getL_a106() {
		return l_a106;
	}

	public void setL_a106(String l_a106) {
		this.l_a106 = l_a106;
	}

	public String getL_a107() {
		return l_a107;
	}

	public void setL_a107(String l_a107) {
		this.l_a107 = l_a107;
	}

	public String getL_a108() {
		return l_a108;
	}

	public void setL_a108(String l_a108) {
		this.l_a108 = l_a108;
	}

	public String getL_a109() {
		return l_a109;
	}

	public void setL_a109(String l_a109) {
		this.l_a109 = l_a109;
	}

	public String getL_a110() {
		return l_a110;
	}

	public void setL_a110(String l_a110) {
		this.l_a110 = l_a110;
	}

	public String getL_a111() {
		return l_a111;
	}

	public void setL_a111(String l_a111) {
		this.l_a111 = l_a111;
	}

	public String getL_a112() {
		return l_a112;
	}

	public void setL_a112(String l_a112) {
		this.l_a112 = l_a112;
	}

	public String getL_a113() {
		return l_a113;
	}

	public void setL_a113(String l_a113) {
		this.l_a113 = l_a113;
	}

	public String getL_a114() {
		return l_a114;
	}

	public void setL_a114(String l_a114) {
		this.l_a114 = l_a114;
	}

	public String getL_a115() {
		return l_a115;
	}

	public void setL_a115(String l_a115) {
		this.l_a115 = l_a115;
	}

	public String getL_a116() {
		return l_a116;
	}

	public void setL_a116(String l_a116) {
		this.l_a116 = l_a116;
	}

	public String getL_a117() {
		return l_a117;
	}

	public void setL_a117(String l_a117) {
		this.l_a117 = l_a117;
	}

	public String getL_a118() {
		return l_a118;
	}

	public void setL_a118(String l_a118) {
		this.l_a118 = l_a118;
	}

	public String getL_a119() {
		return l_a119;
	}

	public void setL_a119(String l_a119) {
		this.l_a119 = l_a119;
	}

	public String getL_a120() {
		return l_a120;
	}

	public void setL_a120(String l_a120) {
		this.l_a120 = l_a120;
	}

	public String getL_a121() {
		return l_a121;
	}

	public void setL_a121(String l_a121) {
		this.l_a121 = l_a121;
	}

	public String getL_a122() {
		return l_a122;
	}

	public void setL_a122(String l_a122) {
		this.l_a122 = l_a122;
	}

	public String getL_a123() {
		return l_a123;
	}

	public void setL_a123(String l_a123) {
		this.l_a123 = l_a123;
	}

	public String getL_a124() {
		return l_a124;
	}

	public void setL_a124(String l_a124) {
		this.l_a124 = l_a124;
	}

	public String getL_a125() {
		return l_a125;
	}

	public void setL_a125(String l_a125) {
		this.l_a125 = l_a125;
	}

	public String getL_a126() {
		return l_a126;
	}

	public void setL_a126(String l_a126) {
		this.l_a126 = l_a126;
	}

	public String getL_a127() {
		return l_a127;
	}

	public void setL_a127(String l_a127) {
		this.l_a127 = l_a127;
	}

	public String getL_a128() {
		return l_a128;
	}

	public void setL_a128(String l_a128) {
		this.l_a128 = l_a128;
	}

	public String getL_a129() {
		return l_a129;
	}

	public void setL_a129(String l_a129) {
		this.l_a129 = l_a129;
	}

	public String getL_a130() {
		return l_a130;
	}

	public void setL_a130(String l_a130) {
		this.l_a130 = l_a130;
	}

	public String getL_a131() {
		return l_a131;
	}

	public void setL_a131(String l_a131) {
		this.l_a131 = l_a131;
	}

	public String getL_a132() {
		return l_a132;
	}

	public void setL_a132(String l_a132) {
		this.l_a132 = l_a132;
	}

	public String getL_a133() {
		return l_a133;
	}

	public void setL_a133(String l_a133) {
		this.l_a133 = l_a133;
	}

	public String getL_a134() {
		return l_a134;
	}

	public void setL_a134(String l_a134) {
		this.l_a134 = l_a134;
	}

	public String getL_a135() {
		return l_a135;
	}

	public void setL_a135(String l_a135) {
		this.l_a135 = l_a135;
	}

	public String getL_a136() {
		return l_a136;
	}

	public void setL_a136(String l_a136) {
		this.l_a136 = l_a136;
	}

	public String getL_a137() {
		return l_a137;
	}

	public void setL_a137(String l_a137) {
		this.l_a137 = l_a137;
	}

	public String getL_a138() {
		return l_a138;
	}

	public void setL_a138(String l_a138) {
		this.l_a138 = l_a138;
	}

	public String getL_a139() {
		return l_a139;
	}

	public void setL_a139(String l_a139) {
		this.l_a139 = l_a139;
	}

	public String getL_a140() {
		return l_a140;
	}

	public void setL_a140(String l_a140) {
		this.l_a140 = l_a140;
	}

	public String getL_a141() {
		return l_a141;
	}

	public void setL_a141(String l_a141) {
		this.l_a141 = l_a141;
	}

	public String getL_a142() {
		return l_a142;
	}

	public void setL_a142(String l_a142) {
		this.l_a142 = l_a142;
	}

	public String getL_a143() {
		return l_a143;
	}

	public void setL_a143(String l_a143) {
		this.l_a143 = l_a143;
	}

	public String getL_a144() {
		return l_a144;
	}

	public void setL_a144(String l_a144) {
		this.l_a144 = l_a144;
	}

	public String getL_a145() {
		return l_a145;
	}

	public void setL_a145(String l_a145) {
		this.l_a145 = l_a145;
	}

	public String getL_a146() {
		return l_a146;
	}

	public void setL_a146(String l_a146) {
		this.l_a146 = l_a146;
	}

	public String getL_a147() {
		return l_a147;
	}

	public void setL_a147(String l_a147) {
		this.l_a147 = l_a147;
	}

	public String getL_a148() {
		return l_a148;
	}

	public void setL_a148(String l_a148) {
		this.l_a148 = l_a148;
	}

	public String getNext_sec_annex() {
		return next_sec_annex;
	}

	public void setNext_sec_annex(String next_sec_annex) {
		this.next_sec_annex = next_sec_annex;
	}

	//PIN SECTION VI
	public String getL_a97() {
		return l_a97;
	}

	public void setL_a97(String l_a97) {
		this.l_a97 = l_a97;
	}
	
	public String getL_a97_1() {
		return l_a97_1;
	}

	public void setL_a97_1(String l_a97_1) {
		this.l_a97_1 = l_a97_1;
	}

	public String getL_a97_2() {
		return l_a97_2;
	}

	public void setL_a97_2(String l_a97_2) {
		this.l_a97_2 = l_a97_2;
	}

	public String getL_a98_1() {
		return l_a98_1;
	}

	public void setL_a98_1(String l_a98_1) {
		this.l_a98_1 = l_a98_1;
	}

	public String getL_a98_2() {
		return l_a98_2;
	}

	public void setL_a98_2(String l_a98_2) {
		this.l_a98_2 = l_a98_2;
	}

	public String getL_titleA100() {
		return l_titleA100;
	}

	public void setL_titleA100(String l_titlea100) {
		l_titleA100 = l_titlea100;
	}

	public String getL_a100() {
		return l_a100;
	}

	public void setL_a100(String l_a100) {
		this.l_a100 = l_a100;
	}

	public String getL_a101() {
		return l_a101;
	}

	public void setL_a101(String l_a101) {
		this.l_a101 = l_a101;
	}

	public String getL_a102() {
		return l_a102;
	}

	public void setL_a102(String l_a102) {
		this.l_a102 = l_a102;
	}

	public String getL_a103() {
		return l_a103;
	}

	public void setL_a103(String l_a103) {
		this.l_a103 = l_a103;
	}

	public String getNext_sec_vi() {
		return next_sec_vi;
	}

	public void setNext_sec_vi(String next_sec_vi) {
		this.next_sec_vi = next_sec_vi;
	}

	//PIN SECTION III
	public String getL_a94() {
		return l_a94;
	}

	public void setL_a94(String l_a94) {
		this.l_a94 = l_a94;
	}
	
	public String getL_a94_1() {
		return l_a94_1;
	}

	public void setL_a94_1(String l_a94_1) {
		this.l_a94_1 = l_a94_1;
	}

	public String getL_a94_2() {
		return l_a94_2;
	}

	public void setL_a94_2(String l_a94_2) {
		this.l_a94_2 = l_a94_2;
	}

	public String getL_a95() {
		return l_a95;
	}

	public void setL_a95(String l_a95) {
		this.l_a95 = l_a95;
	}

	public String getL_a96() {
		return l_a96;
	}

	public void setL_a96(String l_a96) {
		this.l_a96 = l_a96;
	}

	public String getNext_sec_iii() {
		return next_sec_iii;
	}

	public void setNext_sec_iii(String next_sec_iii) {
		this.next_sec_iii = next_sec_iii;
	}

	//PIN SECTION II
	public String getL_a41() {
		return l_a41;
	}

	public void setL_a41(String l_a41) {
		this.l_a41 = l_a41;
	}
	
	public String getL_a42() {
		return l_a42;
	}

	public void setL_a42(String l_a42) {
		this.l_a42 = l_a42;
	}

	public String getL_a44() {
		return l_a44;
	}

	public void setL_a44(String l_a44) {
		this.l_a44 = l_a44;
	}

	public String getL_a44_1() {
		return l_a44_1;
	}

	public void setL_a44_1(String l_a44_1) {
		this.l_a44_1 = l_a44_1;
	}

	public String getL_a44_2() {
		return l_a44_2;
	}

	public void setL_a44_2(String l_a44_2) {
		this.l_a44_2 = l_a44_2;
	}

	public String getL_a46_a49() {
		return l_a46_a49;
	}

	public void setL_a46_a49(String l_a46_a49) {
		this.l_a46_a49 = l_a46_a49;
	}

	public String getL_a46() {
		return l_a46;
	}

	public void setL_a46(String l_a46) {
		this.l_a46 = l_a46;
	}

	public String getL_a48() {
		return l_a48;
	}

	public void setL_a48(String l_a48) {
		this.l_a48 = l_a48;
	}

	public String getL_a49() {
		return l_a49;
	}

	public void setL_a49(String l_a49) {
		this.l_a49 = l_a49;
	}

	public String getL_a51() {
		return l_a51;
	}

	public void setL_a51(String l_a51) {
		this.l_a51 = l_a51;
	}

	public String getL_a52() {
		return l_a52;
	}

	public void setL_a52(String l_a52) {
		this.l_a52 = l_a52;
	}

	public String getL_titleA53() {
		return l_titleA53;
	}

	public void setL_titleA53(String l_titlea53) {
		l_titleA53 = l_titlea53;
	}

	public String getL_a53() {
		return l_a53;
	}

	public void setL_a53(String l_a53) {
		this.l_a53 = l_a53;
	}

	public String getL_a53_1() {
		return l_a53_1;
	}

	public void setL_a53_1(String l_a53_1) {
		this.l_a53_1 = l_a53_1;
	}

	public String getL_a53_2() {
		return l_a53_2;
	}

	public void setL_a53_2(String l_a53_2) {
		this.l_a53_2 = l_a53_2;
	}

	public String getL_a54() {
		return l_a54;
	}

	public void setL_a54(String l_a54) {
		this.l_a54 = l_a54;
	}

	public String getL_titleA59() {
		return l_titleA59;
	}

	public void setL_titleA59(String l_titlea59) {
		l_titleA59 = l_titlea59;
	}

	public String getL_a59() {
		return l_a59;
	}

	public void setL_a59(String l_a59) {
		this.l_a59 = l_a59;
	}

	public String getL_a60_a62_a64() {
		return l_a60_a62_a64;
	}

	public void setL_a60_a62_a64(String l_a60_a62_a64) {
		this.l_a60_a62_a64 = l_a60_a62_a64;
	}

	public String getL_a60() {
		return l_a60;
	}

	public void setL_a60(String l_a60) {
		this.l_a60 = l_a60;
	}

	public String getL_a62() {
		return l_a62;
	}

	public void setL_a62(String l_a62) {
		this.l_a62 = l_a62;
	}

	public String getL_a64() {
		return l_a64;
	}

	public void setL_a64(String l_a64) {
		this.l_a64 = l_a64;
	}

	public String getL_a63() {
		return l_a63;
	}

	public void setL_a63(String l_a63) {
		this.l_a63 = l_a63;
	}
	
	public String getL_a65() {
		return l_a65;
	}

	public void setL_a65(String l_a65) {
		this.l_a65 = l_a65;
	}

	public String getL_a66() {
		return l_a66;
	}

	public void setL_a66(String l_a66) {
		this.l_a66 = l_a66;
	}

	public String getL_a67() {
		return l_a67;
	}

	public void setL_a67(String l_a67) {
		this.l_a67 = l_a67;
	}

	public String getL_a67_1() {
		return l_a67_1;
	}

	public void setL_a67_1(String l_a67_1) {
		this.l_a67_1 = l_a67_1;
	}

	public String getL_a67_2() {
		return l_a67_2;
	}

	public void setL_a67_2(String l_a67_2) {
		this.l_a67_2 = l_a67_2;
	}

	public String getNext_sec_ii() {
		return next_sec_ii;
	}

	public void setNext_sec_ii(String next_sec_ii) {
		this.next_sec_ii = next_sec_ii;
	}

	public String getL_a77() {
		return l_a77;
	}

	public void setL_a77(String l_a77) {
		this.l_a77 = l_a77;
	}

	//PIN SECTION I2
	public String getL_catype() {
		return l_catype;
	}

	public void setL_catype(String l_catype) {
		this.l_catype = l_catype;
	}
	
	public String getL_a19() {
		return l_a19;
	}

	public void setL_a19(String l_a19) {
		this.l_a19 = l_a19;
	}

	public String getL_a20() {
		return l_a20;
	}

	public void setL_a20(String l_a20) {
		this.l_a20 = l_a20;
	}

	public String getL_a21() {
		return l_a21;
	}

	public void setL_a21(String l_a21) {
		this.l_a21 = l_a21;
	}

	public String getL_a22() {
		return l_a22;
	}

	public void setL_a22(String l_a22) {
		this.l_a22 = l_a22;
	}

	public String getL_a23() {
		return l_a23;
	}

	public void setL_a23(String l_a23) {
		this.l_a23 = l_a23;
	}

	public String getL_a24() {
		return l_a24;
	}

	public void setL_a24(String l_a24) {
		this.l_a24 = l_a24;
	}

	public String getL_a25() {
		return l_a25;
	}

	public void setL_a25(String l_a25) {
		this.l_a25 = l_a25;
	}
	
	public String getL_a26() {
		return l_a26;
	}

	public void setL_a26(String l_a26) {
		this.l_a26 = l_a26;
	}

	public String getL_activities() {
		return l_activities;
	}

	public void setL_activities(String l_activities) {
		this.l_activities = l_activities;
	}

	public String getL_a27() {
		return l_a27;
	}

	public void setL_a27(String l_a27) {
		this.l_a27 = l_a27;
	}

	public String getL_a28() {
		return l_a28;
	}

	public void setL_a28(String l_a28) {
		this.l_a28 = l_a28;
	}

	public String getL_a29() {
		return l_a29;
	}

	public void setL_a29(String l_a29) {
		this.l_a29 = l_a29;
	}

	public String getL_a30() {
		return l_a30;
	}

	public void setL_a30(String l_a30) {
		this.l_a30 = l_a30;
	}

	public String getL_a31() {
		return l_a31;
	}

	public void setL_a31(String l_a31) {
		this.l_a31 = l_a31;
	}

	public String getL_a32() {
		return l_a32;
	}

	public void setL_a32(String l_a32) {
		this.l_a32 = l_a32;
	}

	public String getL_a33() {
		return l_a33;
	}

	public void setL_a33(String l_a33) {
		this.l_a33 = l_a33;
	}

	public String getL_a34() {
		return l_a34;
	}

	public void setL_a34(String l_a34) {
		this.l_a34 = l_a34;
	}

	public String getL_a35() {
		return l_a35;
	}

	public void setL_a35(String l_a35) {
		this.l_a35 = l_a35;
	}

	public String getL_a36() {
		return l_a36;
	}

	public void setL_a36(String l_a36) {
		this.l_a36 = l_a36;
	}

	public String getL_a37() {
		return l_a37;
	}

	public void setL_a37(String l_a37) {
		this.l_a37 = l_a37;
	}
	
	public String getL_a38() {
		return l_a38;
	}

	public void setL_a38(String l_a38) {
		this.l_a38 = l_a38;
	}

	public String getL_titleA39() {
		return l_titleA39;
	}

	public void setL_titleA39(String l_titlea39) {
		l_titleA39 = l_titlea39;
	}

	public String getL_a39() {
		return l_a39;
	}

	public void setL_a39(String l_a39) {
		this.l_a39 = l_a39;
	}

	public String getL_a39_1() {
		return l_a39_1;
	}

	public void setL_a39_1(String l_a39_1) {
		this.l_a39_1 = l_a39_1;
	}

	public String getL_a39_2() {
		return l_a39_2;
	}

	public void setL_a39_2(String l_a39_2) {
		this.l_a39_2 = l_a39_2;
	}
	
	public String getNext_sec_i() {
		return next_sec_i;
	}

	public void setNext_sec_i(String next_sec_i) {
		this.next_sec_i = next_sec_i;
	}

	//PIN SECTION I1
	public String getL_a5() {
		return l_a5;
	}

	public void setL_a5(String l_a5) {
		this.l_a5 = l_a5;
	}

	public String getL_a6() {
		return l_a6;
	}

	public void setL_a6(String l_a6) {
		this.l_a6 = l_a6;
	}

	public String getL_a7() {
		return l_a7;
	}

	public void setL_a7(String l_a7) {
		this.l_a7 = l_a7;
	}

	public String getL_a8() {
		return l_a8;
	}

	public void setL_a8(String l_a8) {
		this.l_a8 = l_a8;
	}

	public String getL_a9() {
		return l_a9;
	}

	public void setL_a9(String l_a9) {
		this.l_a9 = l_a9;
	}

	public String getL_a10() {
		return l_a10;
	}

	public void setL_a10(String l_a10) {
		this.l_a10 = l_a10;
	}

	public String getL_a11() {
		return l_a11;
	}

	public void setL_a11(String l_a11) {
		this.l_a11 = l_a11;
	}

	public String getL_a12() {
		return l_a12;
	}

	public void setL_a12(String l_a12) {
		this.l_a12 = l_a12;
	}

	public String getL_a13() {
		return l_a13;
	}

	public void setL_a13(String l_a13) {
		this.l_a13 = l_a13;
	}

	public String getL_a14() {
		return l_a14;
	}

	public void setL_a14(String l_a14) {
		this.l_a14 = l_a14;
	}
	
	public String getL_internetAddr1() {
		return l_internetAddr1;
	}

	public void setL_internetAddr1(String addr1) {
		l_internetAddr1 = addr1;
	}

	public String getL_internetAddr2() {
		return l_internetAddr2;
	}

	public void setL_internetAddr2(String addr2) {
		l_internetAddr2 = addr2;
	}

	public String getL_a15() {
		return l_a15;
	}

	public void setL_a15(String l_a15) {
		this.l_a15 = l_a15;
	}

	public String getL_a16() {
		return l_a16;
	}

	public void setL_a16(String l_a16) {
		this.l_a16 = l_a16;
	}

	public String getL_furtherInfo() {
		return l_furtherInfo;
	}

	public void setL_furtherInfo(String info) {
		l_furtherInfo = info;
	}

	public String getL_furtherInfoSelected() {
		return l_furtherInfoSelected;
	}

	public void setL_furtherInfoSelected(String infoSelected) {
		l_furtherInfoSelected = infoSelected;
	}
	
	public String getL_a17() {
		return l_a17;
	}

	public void setL_a17(String l_a17) {
		this.l_a17 = l_a17;
	}

	public String getL_a18() {
		return l_a18;
	}

	public void setL_a18(String l_a18) {
		this.l_a18 = l_a18;
	}

	//PIN Preliminary Questions
	public String getL_contract() {
		return l_contract;
	}

	public void setL_contract(String l_contract) {
		this.l_contract = l_contract;
	}

	public String getL_contractTypeSelected() {
		return l_contractTypeSelected;
	}

	public void setL_contractTypeSelected(String l_contractTypeSelected) {
		this.l_contractTypeSelected = l_contractTypeSelected;
	}
	
	public String getL_a1() {
		return l_a1;
	}

	public void setL_a1(String l_a1) {
		this.l_a1 = l_a1;
	}

	public String getL_a2() {
		return l_a2;
	}

	public void setL_a2(String l_a2) {
		this.l_a2 = l_a2;
	}

	public String getL_a3() {
		return l_a3;
	}

	public void setL_a3(String l_a3) {
		this.l_a3 = l_a3;
	}

	public String getL_a4() {
		return l_a4;
	}

	public void setL_a4(String l_a4) {
		this.l_a4 = l_a4;
	}

	public String getNext_prel() {
		return next_prel;
	}

	public void setNext_prel(String next_prel) {
		this.next_prel = next_prel;
	}



}
